Skip to main content
POST
C#
This endpoint requires the transactions.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

transaction_id
string<uuid>
required

The ID of the transaction

Example:

"7099948d-7286-47e4-aad8-b68f7eb44591"

Response

Successful Response

status
string
required

The status of the cancel call.

Example:

"succeeded"

code
string | null
required

The standardized error code set by Gr4vy.

Example:

"service_error"

raw_response_code
string | null
required

This is the response code received from the payment service. This can be set to any value and is not standardized across different payment services.

Example:

"E104"

raw_response_description
string | null
required

This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.

Example:

"Internal error"

transaction
Transaction · object
required

The transaction associated to this cancel.

type
string
default:transaction-cancel

Always transaction-cancel.

Allowed value: "transaction-cancel"
Example:

"transaction-cancel"